org.apache.maven.scm.provider.git.gitexe.command.branch

## Class GitBranchCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.branch.AbstractBranchCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.branch.GitBranchCommand

All Implemented Interfaces:
  Command, GitCommand

    public class GitBranchCommand
    extends AbstractBranchCommand
    implements GitCommand

Author:
  Mark Struberg

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`GitBranchCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(GitScmProviderRepository repository, File workingDirectory, String branch)`
`static org.codehaus.plexus.util.cli.Commandline` `createPushCommandLine(GitScmProviderRepository repository, ScmFileSet fileSet, String branch)`
`ScmResult` `executeBranchCommand(ScmProviderRepository repo, ScmFileSet fileSet, String branch, String message)`
`static String` `getCurrentBranch(ScmLogger logger, GitScmProviderRepository repository, ScmFileSet fileSet)` Helper function to detect the current branch

### Methods inherited from class org.apache.maven.scm.command.branch.AbstractBranchCommand

`executeBranchCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitBranchCommand

    public GitBranchCommand()

### Method Detail

#### executeBranchCommand

    public ScmResult executeBranchCommand(ScmProviderRepository repo,
                                          ScmFileSet fileSet,
                                          String branch,
                                          String message)
                                   throws ScmException

Specified by:
  `executeBranchCommand` in class `AbstractBranchCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(GitScmProviderRepository repository,
                                                                             File workingDirectory,
                                                                             String branch)

#### createPushCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createPushCommandLine(GitScmProviderRepository repository,
                                                                                 ScmFileSet fileSet,
                                                                                 String branch)
                                                                          throws ScmException

Throws:
  `ScmException`

#### getCurrentBranch

    public static String getCurrentBranch(ScmLogger logger,
                                          GitScmProviderRepository repository,
                                          ScmFileSet fileSet)
                                   throws ScmException

Helper function to detect the current branch

Throws:
  `ScmException`